globus_gsi_authz_constants(3)

NAME
globus_gsi_authz_constants - GSI Credential Constants

 - GSI Credential Constants.

SYNOPSIS

  Enumerations

enum globus_gsi_authz_error_t { GLOBUS_GSI_AUTHZ_ERROR_SUCCESS = 0, GLOBUS_GSI_AUTHZ_ERROR_ERRNO = 1, GLOBUS_GSI_AUTHZ_ERROR_BAD_PARAMETER = 2, GLOBUS_GSI_AUTHZ_ERROR_CALLOUT = 3, GLOBUS_GSI_AUTHZ_ERROR_LAST = 4 }

Detailed Description

GSI Credential Constants.

Enumeration Type Documentation

  enum globus_gsi_authz_error_t
GSI Authz Error codes

Enumerator

GLOBUS_GSI_AUTHZ_ERROR_SUCCESS
    Success

GLOBUS_GSI_AUTHZ_ERROR_ERRNO
    Error with system call

GLOBUS_GSI_AUTHZ_ERROR_BAD_PARAMETER
    Invalid parameter

GLOBUS_GSI_AUTHZ_ERROR_CALLOUT
    Callout returned an error

Author

Generated automatically by Doxygen for globus_authz from the source code.